## org.apache.batik.ext.awt.image.spi
Class ImageWriterRegistry

    java.lang.Object
      org.apache.batik.ext.awt.image.spi.ImageWriterRegistry

    public class ImageWriterRegistry

extends java.lang.Object

Method Summary
`static ImageWriterRegistry` `getInstance()`
`ImageWriter` `getWriterFor(java.lang.String mime)` get the ImageWriter registered for mime, or null.
`void` `register(ImageWriter writer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static ImageWriterRegistry getInstance()

### register

    public void register(ImageWriter writer)

### getWriterFor

    public ImageWriter getWriterFor(java.lang.String mime)

  get the ImageWriter registered for mime, or null.

  Parameters:
    `mime` - used for lookup
  Returns:
    the registered ImageWriter (maybe null)

Copyright © 2008 Apache Software Foundation. All Rights Reserved.